<? session_start();
// Mensagens de Erro
$msg[0] = "Conexão com o banco falhou!";
$msg[1] = "Não foi possível selecionar o banco de dados!";
$conexao=mysql_connect("localhost","root","") or die ($msg[0]);

if ($_SESSION[cnpj]=="")
  {$_SESSION[cnpj]=$_POST[fCnpj];}

if ($_SESSION[ACAO]=='ALTERA')
	{ Altera(); }
else if ($_SESSION[ACAO]=='GRAVA')
	{
	Grava();
	header("Location:gerar.php");
	}
else 
    {Procura();}

function Conecta()
    {
    $conexao=mysql_connect("localhost","root","") or die ($msg[0]);
    $selecao=mysql_select_db ("sinsweb",$conexao) or die($msg[1]);
    }

function Procura()
{
    Conecta();
	$query="select * from empresa where cnpj=$_SESSION[cnpj] ";
	$resultado=mysql_query($query);
	if (mysql_num_rows($resultado)>0)
		{
		MostraEmpresa();
		header("Location:gerar.php");
		}  
	else
		{
		$_SESSION[ACAO]="GRAVA";
		header("Location:empresas.php");
		}
}

function MostraEmpresa()
{
	$i=0;
    $conexao=mysql_connect("localhost","root","") or die ($msg[0]);
    $selecao=mysql_select_db ("sinsweb",$conexao) or die($msg[1]);
	$Resultado="select * from empresa where cnpj=$_SESSION[cnpj] ";
    while(mysql_fetch_row($Resultado))
	{
		  $_SESSION[nome]=mysql_result($resultado,$i,"nome");
		  $_SESSION[endereco]=mysql_result($resultado,$i,"endereco");
		  $_SESSION[numero]=mysql_result($resultado,$i,"numero");
		  $_SESSION[complemento]=mysql_result($resultado,$i,"complemento");
		  $_SESSION[bairro]=mysql_result($resultado,$i,"bairro");
		  $_SESSION[cep]=mysql_result($resultado,$i,"cep");
		  $_SESSION[cidade]=mysql_result($query,$i,"cidade");
		  $_SESSION[uf]=mysql_result($resultado,$i,"uf");
		  $_SESSION[telefone]=mysql_result($resultado,$i,"telefone");
		  $_SESSION[cnae]=mysql_result($resultado,$i,"cnae");
	$i++;
	}
}
function Altera()
	{
	$query=mysql_query("update empresa(cnpj,jf,nome,endereco,numero,complemento,cep,bairro,cidade,uf,cnae,email,telefone,contador)
		values('$_SESSION[cnpj]','$_POST[dTipo]','$_POST[fNome]','$_POST[fEndereco]','$_POST[fNumero]','$_POST[fComplemento]','$_POST[fCEP]','$_POST[fBairro]','$_POST[fCidade]','$_POST[fUF]','$_POST[fCNAE]',NULL,'$_POST[fTelefone]',NULL)")
		or die ("Erro na query");
	MostraEmpresa();	
	}
	
function Grava()
	{
	Conecta();
	$query=mysql_query("insert empresa(cnpj,jf,nome,endereco,numero,complemento,cep,bairro,cidade,uf,cnae,email,telefone,contador)
		values('$_SESSION[cnpj]','$_POST[dTipo]','$_POST[fNome]','$_POST[fEndereco]','$_POST[fNumero]','$_POST[fComplemento]','$_POST[fCEP]','$_POST[fBairro]','$_POST[fCidade]','$_POST[fUF]','$_POST[fCNAE]',NULL,'$_POST[fTelefone]',NULL)")
		or die ("Erro na query");
	MostraEmpresa();	
	}
?>
